Loading...
Searching...
No Matches
ForceFields::CrystalFF::CrystalFFDetails Struct Reference

`#include <TorsionPreferences.h>`

## Public Attributes

std::vector< std::vector< int > > | expTorsionAtoms
std::vector< std::pair< std::vector< int >, std::vector< double > > > | expTorsionAngles
std::vector< std::vector< int > > | improperAtoms
std::vector< std::pair< int, int > > | bonds
std::vector< std::vector< int > > | angles
std::vector< int > | atomNums
double | boundsMatForceScaling

## Detailed Description

Definition at line 34 of file TorsionPreferences.h.

## Member Data Documentation

## angles

std::vector<std::vector<int> > ForceFields::CrystalFF::CrystalFFDetails::angles

Definition at line 40 of file TorsionPreferences.h.

## atomNums

std::vector<int> ForceFields::CrystalFF::CrystalFFDetails::atomNums

Definition at line 41 of file TorsionPreferences.h.

## bonds

std::vector<std::pair<int, int> > ForceFields::CrystalFF::CrystalFFDetails::bonds

Definition at line 39 of file TorsionPreferences.h.

## boundsMatForceScaling

double ForceFields::CrystalFF::CrystalFFDetails::boundsMatForceScaling

Definition at line 42 of file TorsionPreferences.h.

## expTorsionAngles

std::vector<std::pair<std::vector<int>, std::vector<double> > > ForceFields::CrystalFF::CrystalFFDetails::expTorsionAngles

Definition at line 37 of file TorsionPreferences.h.

## expTorsionAtoms

std::vector<std::vector<int> > ForceFields::CrystalFF::CrystalFFDetails::expTorsionAtoms

Definition at line 35 of file TorsionPreferences.h.

## improperAtoms

std::vector<std::vector<int> > ForceFields::CrystalFF::CrystalFFDetails::improperAtoms

Definition at line 38 of file TorsionPreferences.h.

The documentation for this struct was generated from the following file:

- TorsionPreferences.h